%define anolis_release 1
Name:           libnftnl
Version:        1.2.3
Release:        %{anolis_release}%{?dist}
Summary:        Library for low-level interaction with nftables Netlink's API over libmnl

License:        GPLv2+
URL:            https://netfilter.org/projects/libnftnl/
Source0:        https://www.netfilter.org/pub/libnftnl/libnftnl-%{version}.tar.bz2

BuildRequires:  libmnl-devel
BuildRequires:  jansson-devel
BuildRequires:  gcc
BuildRequires:  make

# replace old libnftables package
Provides: libnftables = %{version}-%{release}
Obsoletes: libnftables < 0-0.6

%description
A library for low-level interaction with nftables Netlink's API over libmnl.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
# replace old libnftables-devel package
Provides: libnftables-devel = %{version}-%{release}
Obsoletes: libnftables-devel < 0-0.6

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-silent-rules --with-json-parsing
%make_build

%check
%make_build check

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%files
%doc COPYING
%{_libdir}/*.so.*

%files devel
%{_libdir}/libnft*.so
%{_libdir}/pkgconfig/libnftnl.pc
%{_includedir}/libnftnl

%changelog
* Fri Sep 23 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.3-1
- update to 1.2.3

* Tue Mar  8 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 1.2.1-1
- Init version from upstream v1.2.1
